PlasticInternalFrameUI (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.plastic

## Class PlasticInternalFrameUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.InternalFrameUI
    - - javax.swing.plaf.basic.BasicInternalFrameUI
      - - com.jgoodies.looks.plastic.PlasticInternalFrameUI

-     public class PlasticInternalFrameUI
      extends BasicInternalFrameUI

  The JGoodies Plastic Look and Feel implementation of `InternalFrameUI`.

  Uses a `PlasticInternalFrameTitlePane` that in turn uses `PlasticTheme` colors.

  Although this class is not intended for subclassing, there's no final marker. If you extend this class, carefully obey all explicit and implicit constraints made in this class and its superclasses.

  Version:
    $Revision: 1.10 $
  Author:
    Karsten Lentzsch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

      `BasicInternalFrameUI.BasicInternalFrameListener, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.ComponentHandler, BasicInternalFrameUI.GlassPaneDispatcher, BasicInternalFrameUI.InternalFrameLayout, BasicInternalFrameUI.InternalFramePropertyChangeListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IS_PALETTE`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

      `borderListener, componentListener, eastPane, frame, glassPaneDispatcher, internalFrameLayout, northPane, openMenuKey, propertyChangeListener, southPane, westPane`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticInternalFrameUI(JInternalFrame b)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JComponent` | `createNorthPane(JInternalFrame w)`
    `static ComponentUI` | `createUI(JComponent c)`
    `protected void` | `installDefaults()`
    `protected void` | `installKeyboardActions()`
    `void` | `installUI(JComponent c)`
    `void` | `setPalette(boolean isPalette)`
    `protected void` | `uninstallKeyboardActions()`
    `void` | `uninstallUI(JComponent c)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

      `activateFrame, closeFrame, createBorderListener, createComponentListener, createDesktopManager, createEastPane, createGlassPaneDispatcher, createInternalFrameListener, createLayoutManager, createPropertyChangeListener, createSouthPane, createWestPane, deactivateFrame, deiconifyFrame, deinstallMouseHandlers, getDesktopManager, getEastPane, getMaximumSize, getMinimumSize, getNorthPane, getPreferredSize, getSouthPane, getWestPane, iconifyFrame, installComponents, installListeners, installMouseHandlers, isKeyBindingActive, isKeyBindingRegistered, maximizeFrame, minimizeFrame, replacePane, setEastPane, setKeyBindingActive, setKeyBindingRegistered, setNorthPane, setSouthPane, setupMenuCloseKey, setupMenuOpenKey, setWestPane, uninstallComponents, uninstallDefaults, uninstallListeners`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IS_PALETTE

          public static final String IS_PALETTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlasticInternalFrameUI

          public PlasticInternalFrameUI(JInternalFrame b)

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent c)

    - #### installUI

          public void installUI(JComponent c)

      Overrides:
        `installUI` in class `BasicInternalFrameUI`

    - #### uninstallUI

          public void uninstallUI(JComponent c)

      Overrides:
        `uninstallUI` in class `BasicInternalFrameUI`

    - #### installDefaults

          protected void installDefaults()

      Overrides:
        `installDefaults` in class `BasicInternalFrameUI`

    - #### installKeyboardActions

          protected void installKeyboardActions()

      Overrides:
        `installKeyboardActions` in class `BasicInternalFrameUI`

    - #### uninstallKeyboardActions

          protected void uninstallKeyboardActions()

      Overrides:
        `uninstallKeyboardActions` in class `BasicInternalFrameUI`

    - #### createNorthPane

          protected JComponent createNorthPane(JInternalFrame w)

      Overrides:
        `createNorthPane` in class `BasicInternalFrameUI`

    - #### setPalette

          public void setPalette(boolean isPalette)

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.